#!/bin/sh

#Entering TTOS directory installation
TTOS_BASE_PATH=`echo $0 | sed 's/tomplayergui.sh//'` 
cd $TTOS_BASE_PATH

#To be sure to get absolute path
export TTOS_BASE_PATH=`pwd`
export LIB_TTOS=${TTOS_BASE_PATH}/lib
export CONF_TTOS=${TTOS_BASE_PATH}/conf

echo "Killing ttn..."
killall -9 mplayer
killall -9 ttn
IS_TTN_NOT_RUNNING=$?
killall -9 mp3d 
killall -9 a2dpd
rm /mnt/sdcard/dirty_fs 
/etc/rc.usbkill
killall -9 clmapp
killall -9 ttsserver 
killall -9 suntime

killall -9 refresh_wdg
./refresh_wdg &

#./create_symlinks.sh

# Call script that creates symlinks for shared libraries
#./create_symlinks.sh

#convert in UNIX text format the used configuration file
#cp -f conf/tomplayer.ini /tmp/tomplayer.ini
#dos2unix /tmp/tomplayer.ini

# Test whether /dev/ts is handled by a driver or not
echo -n "" >> /dev/ts
RES=$?
if [ $RES -ne 0 ] ; then
NO_TS=1
else
NO_TS=0
fi 


# Useful env vars for DirectFB and Tslib
export FRAMEBUFFER=/dev/fb
export TSLIB_CONSOLEDEVICE=none
export TSLIB_FBDEVICE=/dev/fb
export TSLIB_CONFFILE=/etc/ts.conf
export TSLIB_PLUGINDIR=${TTOS_BASE_PATH}/local_lib/ts
export AO_PLUGIN_PATH=${TTOS_BASE_PATH}/local_lib/ao
export LD_LIBRARY_PATH=${TTOS_BASE_PATH}/local_lib


# Adapt to whether /dev/ts or /dev/input/event0 as touchscreen inputs
if [ $NO_TS -eq 0 ] ; then 
  export TSLIB_TSDEVICE=/dev/ts
  # Copy tslib configuration file
  cd /etc
  ln -sf ${CONF_TTOS}/ts.conf ts.conf
  cd $TTOS_BASE_PATH
else
  # For Linux inputs device we need to calibrate !
  export TSLIB_TSDEVICE=/dev/input/event0
  export TSLIB_CALIBFILE=${CONF_TTOS}/pointercal
  # Copy tslib configuration file
  cd /etc
  ln -sf ${CONF_TTOS}/ts_input.conf ts.conf
  cd $TTOS_BASE_PATH
  if [ ! -f ${CONF_TTOS}/pointercal ] ; then
    ./ts_calibrate
  fi
fi


# Tomplayer / start_engine loop 
END_ASKED=0
NO_SPLASH=

#./programs/ogg123 music/prueba.ogg >salida.txt 2>&1

./ttos
./turn_off
